Subject: Re: [PATCH] clean up pseries hcall interfaces

From: Geoff Levand <[email-masked]>
Date: Thu, 03 Aug 2006 14:17:30 -0700

Paul Mackerras wrote:
> Geoff Levand writes:
> 
>> Change the scope of some pSeries routines now called through
>> ppc_md to static.
> 
> With this I get:
> 
>   CC      arch/powerpc/platforms/pseries/lpar.o
> /home/paulus/kernel/powerpc/arch/powerpc/platforms/pseries/lpar.c:273: error: static declaration of ‘pSeries_lpar_hpte_insert’ follows non-static declaration
> include2/asm/mmu.h:254: error: previous declaration of ‘pSeries_lpar_hpte_insert’ was here
> make[3]: *** [arch/powerpc/platforms/pseries/lpar.o] Error 1

OK, thanks for checking it.  As I mentioned in my original
mail, it just looked like there could be some cleanup done,
but I didn't test it.  I'll take a look at it some more and
see if I can make a proper re-work.

-Geoff